(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@ngx-translate/core'), require('@narik/ui-core'), require('@angular/forms'), require('@angular/common'), require('@narik/app-core'), require('@narik/core'), require('@narik/infrastructure'), require('@narik/common'), require('@angular/animations'), require('angular2-uuid')) :
    typeof define === 'function' && define.amd ? define('@narik/ui-ngx-bootstrap', ['exports', '@angular/core', '@ngx-translate/core', '@narik/ui-core', '@angular/forms', '@angular/common', '@narik/app-core', '@narik/core', '@narik/infrastructure', '@narik/common', '@angular/animations', 'angular2-uuid'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.narik = global.narik || {}, global.narik['ui-ngx-bootstrap'] = {}), global.ng.core, global.i1, global.uiCore, global.ng.forms, global.ng.common, global.appCore, global.core, global.infrastructure, global.i1$1, global.ng.animations, global.angular2Uuid));
}(this, (function (exports, i0, i1, uiCore, forms, i2, appCore, core, infrastructure, i1$1, animations, angular2Uuid) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () {
                            return e[k];
                        }
                    });
                }
            });
        }
        n['default'] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);
    var i1__namespace$1 = /*#__PURE__*/_interopNamespace(i1);
    var i2__namespace = /*#__PURE__*/_interopNamespace(i2);
    var i1__namespace = /*#__PURE__*/_interopNamespace(i1$1);

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from) {
        for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
            to[j] = from[i];
        return to;
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    var NARIK_UI_COMPONENT_INPUTS = ['options'];
    var NARIK_UI_FORM_INPUTS = __spreadArray([
        'id',
        'name',
        'label',
        'disabled',
        'required',
        'readOnly',
        'placeHolder'
    ], __read(NARIK_UI_COMPONENT_INPUTS));
    var NARIK_DATA_ORIENTED_OUTPUTS = [
        'dataChange',
        'selectedItemChange',
    ];
    var NARIK_DATA_ORIENTED_INPUTS = __spreadArray([
        'listenForDataChange',
        'dataSource',
        'dataKey',
        'dataUrl',
        'dataInfo',
        'dataProviderKey',
        'dataParameters',
        'moduleKey',
        'dataMethod',
        'dataUrlMethod'
    ], __read(NARIK_UI_FORM_INPUTS));
    var NARIK_DATA_DISPLAY_VALUE_OUTPUTS = __spreadArray([], __read(NARIK_DATA_ORIENTED_OUTPUTS));
    var NARIK_DATA_DISPLAY_VALUE_INPUTS = __spreadArray([
        'displayField',
        'valueField'
    ], __read(NARIK_DATA_ORIENTED_INPUTS));
    var NARIK_AUTOCOMPLETE_INPUTS = [
        'displayText',
        'minSearchLength',
        'isLazyLoadData',
    ];
    var NARIK_CHECKBOX_INPUTS = __spreadArray(['tag'], __read(NARIK_UI_FORM_INPUTS));
    var NARIK_SELECT_INPUTS = ['multiple'];
    var NARIK_DATA_TABLE_SELECT_INPUTS = __spreadArray(__spreadArray([], __read(NARIK_SELECT_INPUTS)), [
        'gridOptions',
    ]);
    var NARIK_DATE_PICKER_INPUTS = __spreadArray([], __read(NARIK_UI_FORM_INPUTS));
    var NARIK_INPUT_INPUTS = __spreadArray([
        'maxlength',
        'type',
        'mask',
        'icon',
        'displayStatus'
    ], __read(NARIK_UI_FORM_INPUTS));

    var NarikNgxAutoComplete = /** @class */ (function (_super) {
        __extends(NarikNgxAutoComplete, _super);
        function NarikNgxAutoComplete() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NarikNgxAutoComplete;
    }(uiCore.NarikAutoComplete));
    /** @nocollapse */ NarikNgxAutoComplete.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxAutoComplete, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxAutoComplete.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxAutoComplete, selector: "narik-ngx-autocomplete  , narik-autocomplete ", inputs: { displayField: "displayField", valueField: "valueField", listenForDataChange: "listenForDataChange", dataSource: "dataSource", dataKey: "dataKey", dataUrl: "dataUrl", dataInfo: "dataInfo", dataProviderKey: "dataProviderKey", dataParameters: "dataParameters", moduleKey: "moduleKey", dataMethod: "dataMethod", dataUrlMethod: "dataUrlMethod", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options" }, outputs: { dataChange: "dataChange", selectedItemChange: "selectedItemChange" }, providers: [
            {
                provide: forms.NG_VALUE_ACCESSOR,
                useExisting: i0.forwardRef((function () { return NarikNgxAutoComplete; })),
                multi: true,
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "", styles: [""] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxAutoComplete, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngx-autocomplete  , narik-autocomplete ',
                        templateUrl: 'narik-ngx-auto-complete.component.html',
                        styleUrls: ['narik-ngx-auto-complete.component.css'],
                        inputs: __spreadArray([], __read(NARIK_DATA_DISPLAY_VALUE_INPUTS)),
                        outputs: __spreadArray([], __read(NARIK_DATA_DISPLAY_VALUE_OUTPUTS)),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: i0.forwardRef((function () { return NarikNgxAutoComplete; })),
                                multi: true,
                            },
                        ],
                    }]
            }] });

    var NarikNgxAutoCompleteModule = /** @class */ (function () {
        function NarikNgxAutoCompleteModule() {
        }
        return NarikNgxAutoCompleteModule;
    }());
    /** @nocollapse */ NarikNgxAutoCompleteModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxAutoCompleteModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgxAutoCompleteModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxAutoCompleteModule, declarations: [NarikNgxAutoComplete], imports: [i2.CommonModule, forms.FormsModule], exports: [NarikNgxAutoComplete] });
    /** @nocollapse */ NarikNgxAutoCompleteModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxAutoCompleteModule, providers: [], imports: [[i2.CommonModule, forms.FormsModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxAutoCompleteModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i2.CommonModule, forms.FormsModule],
                        declarations: [NarikNgxAutoComplete],
                        exports: [NarikNgxAutoComplete],
                        providers: [],
                    }]
            }] });

    var NarikNgxBusyIndicator = /** @class */ (function () {
        function NarikNgxBusyIndicator() {
        }
        NarikNgxBusyIndicator.prototype.setBusy = function (newState, msg) {
            this.isBusy = newState;
        };
        return NarikNgxBusyIndicator;
    }());
    /** @nocollapse */ NarikNgxBusyIndicator.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxBusyIndicator, deps: [], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxBusyIndicator.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxBusyIndicator, selector: "narik-ngx-busy-indicator , narik-busy-indicator", inputs: { isBusy: "isBusy" }, providers: [
            {
                provide: appCore.BusyIndicator,
                useExisting: i0.forwardRef((function () { return NarikNgxBusyIndicator; })),
            },
        ], ngImport: i0__namespace, template: "\n", styles: [""] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxBusyIndicator, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngx-busy-indicator , narik-busy-indicator',
                        templateUrl: 'narik-ngx-busy-indicator.component.html',
                        styleUrls: ['narik-ngx-busy-indicator.component.css'],
                        providers: [
                            {
                                provide: appCore.BusyIndicator,
                                useExisting: i0.forwardRef((function () { return NarikNgxBusyIndicator; })),
                            },
                        ],
                    }]
            }], propDecorators: { isBusy: [{
                    type: i0.Input
                }] } });

    var NarikNgxBusyIndicatorModule = /** @class */ (function () {
        function NarikNgxBusyIndicatorModule() {
        }
        return NarikNgxBusyIndicatorModule;
    }());
    /** @nocollapse */ NarikNgxBusyIndicatorModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxBusyIndicatorModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgxBusyIndicatorModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxBusyIndicatorModule, declarations: [NarikNgxBusyIndicator], imports: [i2.CommonModule, i1.TranslateModule], exports: [NarikNgxBusyIndicator] });
    /** @nocollapse */ NarikNgxBusyIndicatorModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxBusyIndicatorModule, providers: [], imports: [[i2.CommonModule, i1.TranslateModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxBusyIndicatorModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i2.CommonModule, i1.TranslateModule],
                        declarations: [NarikNgxBusyIndicator],
                        exports: [NarikNgxBusyIndicator],
                        providers: [],
                    }]
            }] });

    var NarikNgxButtonComponent = /** @class */ (function (_super) {
        __extends(NarikNgxButtonComponent, _super);
        function NarikNgxButtonComponent(renderer, injector) {
            var _this = _super.call(this, injector) || this;
            _this.renderer = renderer;
            return _this;
        }
        NarikNgxButtonComponent.prototype.ngAfterViewInit = function () { };
        return NarikNgxButtonComponent;
    }(uiCore.NarikButton));
    /** @nocollapse */ NarikNgxButtonComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxButtonComponent, deps: [{ token: i0__namespace.Renderer2 }, { token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxButtonComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxButtonComponent, selector: "narik-ngx-buuton , narik-button ", usesInheritance: true, ngImport: i0__namespace, template: "\n" });
    __decorate([
        core.NarikInject(uiCore.BUTTON_DEFAULT_OPTIONS, {
            buttonStyle: 'mat-raised-button',
            busyFontIcon: 'fa-spinner',
        }),
        __metadata("design:type", Object)
    ], NarikNgxButtonComponent.prototype, "defaultOptions", void 0);
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxButtonComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngx-buuton , narik-button ',
                        templateUrl: 'narik-ngx-button.component.html',
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Renderer2 }, { type: i0__namespace.Injector }]; }, propDecorators: { defaultOptions: [] } });

    var NarikNgxButtonModule = /** @class */ (function () {
        function NarikNgxButtonModule() {
        }
        return NarikNgxButtonModule;
    }());
    /** @nocollapse */ NarikNgxButtonModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxButtonModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgxButtonModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxButtonModule, declarations: [NarikNgxButtonComponent], imports: [i2.CommonModule], exports: [NarikNgxButtonComponent] });
    /** @nocollapse */ NarikNgxButtonModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxButtonModule, providers: [], imports: [[i2.CommonModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxButtonModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i2.CommonModule],
                        declarations: [NarikNgxButtonComponent],
                        exports: [NarikNgxButtonComponent],
                        providers: [],
                    }]
            }] });

    var NarikNgxCheckBox = /** @class */ (function (_super) {
        __extends(NarikNgxCheckBox, _super);
        function NarikNgxCheckBox(injector) {
            return _super.call(this, injector) || this;
        }
        return NarikNgxCheckBox;
    }(uiCore.NarikCheckBox));
    /** @nocollapse */ NarikNgxCheckBox.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCheckBox, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxCheckBox.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxCheckBox, selector: "narik-ngx-checkbox , narik-checkbox", inputs: { tag: "tag", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options" }, providers: [
            {
                provide: forms.NG_VALUE_ACCESSOR,
                useExisting: i0.forwardRef((function () { return NarikNgxCheckBox; })),
                multi: true,
            },
            {
                provide: uiCore.NarikCheckBox,
                useExisting: i0.forwardRef((function () { return NarikNgxCheckBox; })),
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "" });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCheckBox, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngx-checkbox , narik-checkbox',
                        templateUrl: 'narik-ngx-checkbox.component.html',
                        inputs: __spreadArray([], __read(NARIK_CHECKBOX_INPUTS)),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: i0.forwardRef((function () { return NarikNgxCheckBox; })),
                                multi: true,
                            },
                            {
                                provide: uiCore.NarikCheckBox,
                                useExisting: i0.forwardRef((function () { return NarikNgxCheckBox; })),
                            },
                        ],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; } });

    var NarikNgxCheckBoxModule = /** @class */ (function () {
        function NarikNgxCheckBoxModule() {
        }
        return NarikNgxCheckBoxModule;
    }());
    /** @nocollapse */ NarikNgxCheckBoxModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCheckBoxModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgxCheckBoxModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCheckBoxModule, declarations: [NarikNgxCheckBox], imports: [i2.CommonModule, forms.FormsModule], exports: [NarikNgxCheckBox] });
    /** @nocollapse */ NarikNgxCheckBoxModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCheckBoxModule, providers: [], imports: [[i2.CommonModule, forms.FormsModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCheckBoxModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i2.CommonModule, forms.FormsModule],
                        declarations: [NarikNgxCheckBox],
                        exports: [NarikNgxCheckBox],
                        providers: [],
                    }]
            }] });

    var NarikNgxCheckBoxList = /** @class */ (function (_super) {
        __extends(NarikNgxCheckBoxList, _super);
        function NarikNgxCheckBoxList(injector) {
            return _super.call(this, injector) || this;
        }
        return NarikNgxCheckBoxList;
    }(uiCore.NarikCheckBoxList));
    /** @nocollapse */ NarikNgxCheckBoxList.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCheckBoxList, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxCheckBoxList.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxCheckBoxList, selector: "narik-ngx-checkbox-list , narik-checkbox-list", inputs: { displayField: "displayField", valueField: "valueField", listenForDataChange: "listenForDataChange", dataSource: "dataSource", dataKey: "dataKey", dataUrl: "dataUrl", dataInfo: "dataInfo", dataProviderKey: "dataProviderKey", dataParameters: "dataParameters", moduleKey: "moduleKey", dataMethod: "dataMethod", dataUrlMethod: "dataUrlMethod", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options" }, providers: [
            {
                provide: forms.NG_VALUE_ACCESSOR,
                useExisting: i0.forwardRef((function () { return NarikNgxCheckBoxList; })),
                multi: true,
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "\n" });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCheckBoxList, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngx-checkbox-list , narik-checkbox-list',
                        templateUrl: 'narik-ngx-checkbox-list.component.html',
                        inputs: __spreadArray([], __read(NARIK_DATA_DISPLAY_VALUE_INPUTS)),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: i0.forwardRef((function () { return NarikNgxCheckBoxList; })),
                                multi: true,
                            },
                        ],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; } });

    var NarikNgxCheckBoxListModule = /** @class */ (function () {
        function NarikNgxCheckBoxListModule() {
        }
        return NarikNgxCheckBoxListModule;
    }());
    /** @nocollapse */ NarikNgxCheckBoxListModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCheckBoxListModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgxCheckBoxListModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCheckBoxListModule, declarations: [NarikNgxCheckBoxList], imports: [i2.CommonModule, forms.FormsModule, NarikNgxCheckBoxModule], exports: [NarikNgxCheckBoxList] });
    /** @nocollapse */ NarikNgxCheckBoxListModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCheckBoxListModule, providers: [], imports: [[i2.CommonModule, forms.FormsModule, NarikNgxCheckBoxModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCheckBoxListModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i2.CommonModule, forms.FormsModule, NarikNgxCheckBoxModule],
                        declarations: [NarikNgxCheckBoxList],
                        exports: [NarikNgxCheckBoxList],
                        providers: [],
                    }]
            }] });

    var NarikNgxDataTable = /** @class */ (function (_super) {
        __extends(NarikNgxDataTable, _super);
        function NarikNgxDataTable(injector, changeDetector, document) {
            var _this = _super.call(this, injector) || this;
            _this.changeDetector = changeDetector;
            _this.document = document;
            return _this;
        }
        return NarikNgxDataTable;
    }(uiCore.NarikDataTable));
    /** @nocollapse */ NarikNgxDataTable.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDataTable, deps: [{ token: i0__namespace.Injector }, { token: i0__namespace.ChangeDetectorRef }, { token: i2.DOCUMENT }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxDataTable.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxDataTable, selector: "narik-ngx-data-table , narik-data-table", usesInheritance: true, ngImport: i0__namespace, template: "" });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDataTable, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngx-data-table , narik-data-table',
                        templateUrl: 'narik-ngx-data-table.component.html',
                    }]
            }], ctorParameters: function () {
            return [{ type: i0__namespace.Injector }, { type: i0__namespace.ChangeDetectorRef }, { type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [i2.DOCUMENT]
                        }] }];
        } });

    var NarikNgxDataTableModule = /** @class */ (function () {
        function NarikNgxDataTableModule() {
        }
        return NarikNgxDataTableModule;
    }());
    /** @nocollapse */ NarikNgxDataTableModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDataTableModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgxDataTableModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDataTableModule, declarations: [NarikNgxDataTable], imports: [i2.CommonModule, forms.FormsModule, i1.TranslateModule], exports: [NarikNgxDataTable] });
    /** @nocollapse */ NarikNgxDataTableModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDataTableModule, providers: [], imports: [[i2.CommonModule, forms.FormsModule, i1.TranslateModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDataTableModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i2.CommonModule, forms.FormsModule, i1.TranslateModule],
                        declarations: [NarikNgxDataTable],
                        exports: [NarikNgxDataTable],
                        providers: [],
                    }]
            }] });

    var NarikNgxDatePicker = /** @class */ (function (_super) {
        __extends(NarikNgxDatePicker, _super);
        function NarikNgxDatePicker(injector) {
            return _super.call(this, injector) || this;
        }
        return NarikNgxDatePicker;
    }(uiCore.NarikDatePicker));
    /** @nocollapse */ NarikNgxDatePicker.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDatePicker, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxDatePicker.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxDatePicker, selector: "narik-ngx-date-picker , narik-date-picker", inputs: { id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options" }, providers: [
            {
                provide: forms.NG_VALUE_ACCESSOR,
                useExisting: i0.forwardRef((function () { return NarikNgxDatePicker; })),
                multi: true,
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "\n" });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDatePicker, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngx-date-picker , narik-date-picker',
                        templateUrl: 'narik-ngx-date-picker.component.html',
                        inputs: __spreadArray([], __read(NARIK_DATE_PICKER_INPUTS)),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: i0.forwardRef((function () { return NarikNgxDatePicker; })),
                                multi: true,
                            },
                        ],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; } });

    var NarikNgxDatePickerModule = /** @class */ (function () {
        function NarikNgxDatePickerModule() {
        }
        return NarikNgxDatePickerModule;
    }());
    /** @nocollapse */ NarikNgxDatePickerModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDatePickerModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgxDatePickerModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDatePickerModule, declarations: [NarikNgxDatePicker], imports: [i2.CommonModule, forms.FormsModule, i1.TranslateModule], exports: [NarikNgxDatePicker] });
    /** @nocollapse */ NarikNgxDatePickerModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDatePickerModule, providers: [], imports: [[i2.CommonModule, forms.FormsModule, i1.TranslateModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDatePickerModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i2.CommonModule, forms.FormsModule, i1.TranslateModule],
                        declarations: [NarikNgxDatePicker],
                        exports: [NarikNgxDatePicker],
                        providers: [],
                    }]
            }] });

    var NarikNgxInput = /** @class */ (function (_super) {
        __extends(NarikNgxInput, _super);
        function NarikNgxInput(injector) {
            return _super.call(this, injector) || this;
        }
        return NarikNgxInput;
    }(uiCore.NarikInput));
    /** @nocollapse */ NarikNgxInput.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxInput, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxInput.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxInput, selector: "narik-ngx-input , narik-input", inputs: { maxlength: "maxlength", type: "type", mask: "mask", icon: "icon", displayStatus: "displayStatus", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options" }, providers: [
            {
                provide: forms.NG_VALUE_ACCESSOR,
                useExisting: i0.forwardRef((function () { return NarikNgxInput; })),
                multi: true,
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "" });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxInput, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngx-input , narik-input',
                        templateUrl: 'narik-ngx-input.component.html',
                        inputs: __spreadArray([], __read(NARIK_INPUT_INPUTS)),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: i0.forwardRef((function () { return NarikNgxInput; })),
                                multi: true,
                            },
                        ],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; } });

    var NarikNgxInputModule = /** @class */ (function () {
        function NarikNgxInputModule() {
        }
        return NarikNgxInputModule;
    }());
    /** @nocollapse */ NarikNgxInputModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxInputModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgxInputModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxInputModule, declarations: [NarikNgxInput], imports: [i2.CommonModule, forms.FormsModule], exports: [NarikNgxInput] });
    /** @nocollapse */ NarikNgxInputModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxInputModule, providers: [], imports: [[i2.CommonModule, forms.FormsModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxInputModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i2.CommonModule, forms.FormsModule],
                        declarations: [NarikNgxInput],
                        exports: [NarikNgxInput],
                        providers: [],
                    }]
            }] });

    var NarikNgxRadioGroup = /** @class */ (function (_super) {
        __extends(NarikNgxRadioGroup, _super);
        function NarikNgxRadioGroup(injector) {
            return _super.call(this, injector) || this;
        }
        return NarikNgxRadioGroup;
    }(uiCore.NarikRadioGroup));
    /** @nocollapse */ NarikNgxRadioGroup.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxRadioGroup, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxRadioGroup.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxRadioGroup, selector: "narik-ngx-radio-group , narik-radio-group", inputs: { displayField: "displayField", valueField: "valueField", listenForDataChange: "listenForDataChange", dataSource: "dataSource", dataKey: "dataKey", dataUrl: "dataUrl", dataInfo: "dataInfo", dataProviderKey: "dataProviderKey", dataParameters: "dataParameters", moduleKey: "moduleKey", dataMethod: "dataMethod", dataUrlMethod: "dataUrlMethod", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options" }, providers: [
            {
                provide: forms.NG_VALUE_ACCESSOR,
                useExisting: i0.forwardRef((function () { return NarikNgxRadioGroup; })),
                multi: true,
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "" });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxRadioGroup, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngx-radio-group , narik-radio-group',
                        templateUrl: 'narik-ngx-radio-group.component.html',
                        inputs: __spreadArray([], __read(NARIK_DATA_DISPLAY_VALUE_INPUTS)),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: i0.forwardRef((function () { return NarikNgxRadioGroup; })),
                                multi: true,
                            },
                        ],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; } });

    var NarikNgxRadioGroupModule = /** @class */ (function () {
        function NarikNgxRadioGroupModule() {
        }
        return NarikNgxRadioGroupModule;
    }());
    /** @nocollapse */ NarikNgxRadioGroupModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxRadioGroupModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgxRadioGroupModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxRadioGroupModule, declarations: [NarikNgxRadioGroup], imports: [i2.CommonModule, forms.FormsModule], exports: [NarikNgxRadioGroup] });
    /** @nocollapse */ NarikNgxRadioGroupModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxRadioGroupModule, providers: [], imports: [[i2.CommonModule, forms.FormsModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxRadioGroupModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i2.CommonModule, forms.FormsModule],
                        declarations: [NarikNgxRadioGroup],
                        exports: [NarikNgxRadioGroup],
                        providers: [],
                    }]
            }] });

    var NarikNgxSelect = /** @class */ (function (_super) {
        __extends(NarikNgxSelect, _super);
        function NarikNgxSelect(injector) {
            var _this = _super.call(this, injector) || this;
            _this.optionData = [];
            return _this;
        }
        NarikNgxSelect.prototype.useData = function (data) {
            this.optionData = data;
        };
        return NarikNgxSelect;
    }(uiCore.NarikSelect));
    /** @nocollapse */ NarikNgxSelect.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxSelect, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxSelect.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxSelect, selector: "narik-ngx-select , narik-select", inputs: { displayField: "displayField", valueField: "valueField", listenForDataChange: "listenForDataChange", dataSource: "dataSource", dataKey: "dataKey", dataUrl: "dataUrl", dataInfo: "dataInfo", dataProviderKey: "dataProviderKey", dataParameters: "dataParameters", moduleKey: "moduleKey", dataMethod: "dataMethod", dataUrlMethod: "dataUrlMethod", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options", multiple: "multiple" }, outputs: { dataChange: "dataChange", selectedItemChange: "selectedItemChange" }, providers: [
            {
                provide: forms.NG_VALUE_ACCESSOR,
                useExisting: i0.forwardRef((function () { return NarikNgxSelect; })),
                multi: true,
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "", styles: [".select-clear{position:absolute;left:-2px;top:-30px}.search-input{padding:16px;box-sizing:border-box}.search-continer{border-bottom:1px solid rgba(0,0,0,.12);top:0;width:100%;position:sticky;background-color:#fff;z-index:10000}"] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxSelect, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngx-select , narik-select',
                        templateUrl: 'narik-ngx-select.component.html',
                        styleUrls: ['narik-ngx-select.component.css'],
                        inputs: __spreadArray(__spreadArray([], __read(NARIK_DATA_DISPLAY_VALUE_INPUTS)), __read(NARIK_SELECT_INPUTS)),
                        outputs: __spreadArray([], __read(NARIK_DATA_DISPLAY_VALUE_OUTPUTS)),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: i0.forwardRef((function () { return NarikNgxSelect; })),
                                multi: true,
                            },
                        ],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; } });

    var NarikNgxSelectModule = /** @class */ (function () {
        function NarikNgxSelectModule() {
        }
        return NarikNgxSelectModule;
    }());
    /** @nocollapse */ NarikNgxSelectModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxSelectModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgxSelectModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxSelectModule, declarations: [NarikNgxSelect], imports: [i2.CommonModule, forms.FormsModule], exports: [NarikNgxSelect] });
    /** @nocollapse */ NarikNgxSelectModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxSelectModule, providers: [], imports: [[i2.CommonModule, forms.FormsModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxSelectModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i2.CommonModule, forms.FormsModule],
                        declarations: [NarikNgxSelect],
                        exports: [NarikNgxSelect],
                        providers: [],
                    }]
            }] });

    var NarikNgxDynamicForm = /** @class */ (function (_super) {
        __extends(NarikNgxDynamicForm, _super);
        function NarikNgxDynamicForm(injector, viewContainerRef) {
            return _super.call(this, injector, viewContainerRef) || this;
        }
        return NarikNgxDynamicForm;
    }(uiCore.NarikDynamicForm));
    /** @nocollapse */ NarikNgxDynamicForm.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDynamicForm, deps: [{ token: i0__namespace.Injector }, { token: i0__namespace.ViewContainerRef }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxDynamicForm.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxDynamicForm, selector: "narik-dynamic-form , narik-ngx-dynamic-form", providers: [
            {
                provide: uiCore.NarikDynamicForm,
                useExisting: i0.forwardRef((function () { return NarikNgxDynamicForm; })),
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "<div\n  class=\"dx-fieldset\"\n  [tab-guard]=\"activeTabGuard\"\n  [auto-focus]=\"activeAutoFocus\"\n  [autoFocusContainerName]=\"defaultFocusField\"\n>\n  <ng-container *ngFor=\"let item of fields\">\n\n  </ng-container>\n</div>\n", directives: [{ type: i1__namespace.TabGuardDirective, selector: "[tab-guard]", inputs: ["tab-guard"] }, { type: i1__namespace.AutoFocusDirective, selector: "[auto-focus]", inputs: ["auto-focus", "autoFocusContainerName", "timeout"] }, { type: i2__namespace.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDynamicForm, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-dynamic-form , narik-ngx-dynamic-form',
                        templateUrl: 'narik-ngx-dynamic-form.component.html',
                        providers: [
                            {
                                provide: uiCore.NarikDynamicForm,
                                useExisting: i0.forwardRef((function () { return NarikNgxDynamicForm; })),
                            },
                        ],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }, { type: i0__namespace.ViewContainerRef }]; } });

    var NarikNgxDynamicFormModule = /** @class */ (function () {
        function NarikNgxDynamicFormModule() {
        }
        return NarikNgxDynamicFormModule;
    }());
    /** @nocollapse */ NarikNgxDynamicFormModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDynamicFormModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgxDynamicFormModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDynamicFormModule, declarations: [NarikNgxDynamicForm], imports: [i2.CommonModule,
            forms.ReactiveFormsModule,
            i1.TranslateModule,
            NarikNgxInputModule,
            NarikNgxSelectModule,
            NarikNgxCheckBoxModule,
            NarikNgxRadioGroupModule,
            NarikNgxAutoCompleteModule,
            NarikNgxDatePickerModule,
            i1$1.NarikCommonModule], exports: [NarikNgxDynamicForm] });
    /** @nocollapse */ NarikNgxDynamicFormModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDynamicFormModule, providers: [], imports: [[
                i2.CommonModule,
                forms.ReactiveFormsModule,
                i1.TranslateModule,
                NarikNgxInputModule,
                NarikNgxSelectModule,
                NarikNgxCheckBoxModule,
                NarikNgxRadioGroupModule,
                NarikNgxAutoCompleteModule,
                NarikNgxDatePickerModule,
                i1$1.NarikCommonModule,
            ]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDynamicFormModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [
                            i2.CommonModule,
                            forms.ReactiveFormsModule,
                            i1.TranslateModule,
                            NarikNgxInputModule,
                            NarikNgxSelectModule,
                            NarikNgxCheckBoxModule,
                            NarikNgxRadioGroupModule,
                            NarikNgxAutoCompleteModule,
                            NarikNgxDatePickerModule,
                            i1$1.NarikCommonModule,
                        ],
                        declarations: [NarikNgxDynamicForm],
                        exports: [NarikNgxDynamicForm],
                        providers: [],
                    }]
            }] });

    var NarikNgxDialogContainer = /** @class */ (function (_super) {
        __extends(NarikNgxDialogContainer, _super);
        function NarikNgxDialogContainer() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        NarikNgxDialogContainer.prototype.ngOnInit = function () { };
        return NarikNgxDialogContainer;
    }(core.NarikDialogContainer));
    /** @nocollapse */ NarikNgxDialogContainer.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDialogContainer, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxDialogContainer.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxDialogContainer, selector: "ng-component", usesInheritance: true, ngImport: i0__namespace, template: "", styles: [".dialog-container{background-color:#fff;border-radius:5px;box-shadow:20px 20px 15px -7px rgba(0,0,0,.2),0 24px 38px 3px rgba(0,0,0,.14),0 9px 46px 8px rgba(0,0,0,.12)}"], animations: [animations.trigger('openClose', core.DialogAnimationBody)] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDialogContainer, decorators: [{
                type: i0.Component,
                args: [{
                        templateUrl: 'narik-ngx-dialog-container.component.html',
                        styleUrls: ['narik-ngx-dialog-container.component.css'],
                        animations: [animations.trigger('openClose', core.DialogAnimationBody)],
                    }]
            }] });

    var NarikNgxInputDialog = /** @class */ (function () {
        function NarikNgxInputDialog(parameters) {
            this.entity = {};
            this.fields = [];
            if (parameters) {
                this.entity = parameters.entity;
                this.fields = parameters.fields;
            }
        }
        NarikNgxInputDialog.prototype.ngOnInit = function () { };
        return NarikNgxInputDialog;
    }());
    /** @nocollapse */ NarikNgxInputDialog.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxInputDialog, deps: [{ token: infrastructure.PARAMETERS }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxInputDialog.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxInputDialog, selector: "ng-component", ngImport: i0__namespace, template: "<div class=\"pr-2 pl-2\">\n  <narik-dynamic-form [model]=\"entity\" [fields]=\"fields\"></narik-dynamic-form>\n</div>\n", components: [{ type: NarikNgxDynamicForm, selector: "narik-dynamic-form , narik-ngx-dynamic-form" }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxInputDialog, decorators: [{
                type: i0.Component,
                args: [{
                        templateUrl: 'narik-ngx-input-dialog.component.html',
                    }]
            }], ctorParameters: function () {
            return [{ type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [infrastructure.PARAMETERS]
                        }] }];
        } });

    var NarikNgxMessageDialog = /** @class */ (function () {
        function NarikNgxMessageDialog(parameters) {
            if (parameters) {
                this.message = parameters.message;
            }
        }
        NarikNgxMessageDialog.prototype.ngOnInit = function () { };
        return NarikNgxMessageDialog;
    }());
    /** @nocollapse */ NarikNgxMessageDialog.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxMessageDialog, deps: [{ token: infrastructure.PARAMETERS }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxMessageDialog.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxMessageDialog, selector: "ng-component", ngImport: i0__namespace, template: "<div class=\"card p-2\">{{message | translate}}</div>\n", pipes: { "translate": i1__namespace$1.TranslatePipe } });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxMessageDialog, decorators: [{
                type: i0.Component,
                args: [{
                        templateUrl: 'narik-ngx-message-dialog.component.html',
                    }]
            }], ctorParameters: function () {
            return [{ type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [infrastructure.PARAMETERS]
                        }] }];
        } });

    var NarikNgxDialogModule = /** @class */ (function () {
        function NarikNgxDialogModule() {
        }
        return NarikNgxDialogModule;
    }());
    /** @nocollapse */ NarikNgxDialogModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDialogModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgxDialogModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDialogModule, declarations: [NarikNgxDialogContainer,
            NarikNgxInputDialog,
            NarikNgxMessageDialog], imports: [i2.CommonModule,
            forms.FormsModule,
            i1.TranslateModule,
            i1$1.NarikCommonModule,
            NarikNgxButtonModule,
            NarikNgxDynamicFormModule], exports: [NarikNgxDialogContainer,
            NarikNgxInputDialog,
            NarikNgxMessageDialog] });
    /** @nocollapse */ NarikNgxDialogModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDialogModule, providers: [
            {
                provide: infrastructure.DIALOG_CONTAINER,
                useValue: NarikNgxDialogContainer,
            },
            {
                provide: infrastructure.DIALOG_MESSAGE_COMPONENT,
                useValue: NarikNgxMessageDialog,
            },
            {
                provide: infrastructure.DIALOG_INPUT_COMPONENT,
                useValue: NarikNgxInputDialog,
            },
        ], imports: [[
                i2.CommonModule,
                forms.FormsModule,
                i1.TranslateModule,
                i1$1.NarikCommonModule,
                NarikNgxButtonModule,
                NarikNgxDynamicFormModule,
            ]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxDialogModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [
                            i2.CommonModule,
                            forms.FormsModule,
                            i1.TranslateModule,
                            i1$1.NarikCommonModule,
                            NarikNgxButtonModule,
                            NarikNgxDynamicFormModule,
                        ],
                        declarations: [
                            NarikNgxDialogContainer,
                            NarikNgxInputDialog,
                            NarikNgxMessageDialog,
                        ],
                        exports: [
                            NarikNgxDialogContainer,
                            NarikNgxInputDialog,
                            NarikNgxMessageDialog,
                        ],
                        providers: [
                            {
                                provide: infrastructure.DIALOG_CONTAINER,
                                useValue: NarikNgxDialogContainer,
                            },
                            {
                                provide: infrastructure.DIALOG_MESSAGE_COMPONENT,
                                useValue: NarikNgxMessageDialog,
                            },
                            {
                                provide: infrastructure.DIALOG_INPUT_COMPONENT,
                                useValue: NarikNgxInputDialog,
                            },
                        ],
                        entryComponents: [
                            NarikNgxDialogContainer,
                            NarikNgxInputDialog,
                            NarikNgxMessageDialog,
                        ],
                    }]
            }] });

    var NarikNgxTreeview = /** @class */ (function (_super) {
        __extends(NarikNgxTreeview, _super);
        function NarikNgxTreeview(injector) {
            return _super.call(this, injector) || this;
        }
        Object.defineProperty(NarikNgxTreeview.prototype, "selectedItem", {
            get: function () {
                return this._selectedItem;
            },
            set: function (value) {
                this._selectedItem = value;
            },
            enumerable: false,
            configurable: true
        });
        NarikNgxTreeview.prototype.addNode = function (selectedNode) {
            throw new Error('Method not implemented.');
        };
        NarikNgxTreeview.prototype.deleteNode = function (selectedNode) {
            throw new Error('Method not implemented.');
        };
        return NarikNgxTreeview;
    }(uiCore.NarikTreeview));
    /** @nocollapse */ NarikNgxTreeview.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxTreeview, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxTreeview.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxTreeview, selector: "narik-ngx-treeview narik-treeview", inputs: { newNodeTitle: "newNodeTitle" }, usesInheritance: true, ngImport: i0__namespace, template: "" });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxTreeview, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngx-treeview narik-treeview',
                        templateUrl: 'narik-ngx-treeview.component.html',
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; }, propDecorators: { newNodeTitle: [{
                    type: i0.Input
                }] } });

    var NarikNgxToolBar = /** @class */ (function (_super) {
        __extends(NarikNgxToolBar, _super);
        function NarikNgxToolBar(injector, viewContainerRef) {
            var _this = _super.call(this, injector, viewContainerRef) || this;
            _this.uniqueId = '';
            _this.uniqueId = 'toolbar' + angular2Uuid.UUID.UUID();
            return _this;
        }
        return NarikNgxToolBar;
    }(uiCore.NarikToolBar));
    /** @nocollapse */ NarikNgxToolBar.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxToolBar, deps: [{ token: i0__namespace.Injector }, { token: i0__namespace.ViewContainerRef }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgxToolBar.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgxToolBar, selector: "narik-toolbar , narik-ngx-toolbar", usesInheritance: true, ngImport: i0__namespace, template: "\n" });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxToolBar, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-toolbar , narik-ngx-toolbar',
                        templateUrl: 'narik-ngx-toolbar.component.html',
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }, { type: i0__namespace.ViewContainerRef }]; } });

    var NarikNgxToolbarModule = /** @class */ (function () {
        function NarikNgxToolbarModule() {
        }
        return NarikNgxToolbarModule;
    }());
    /** @nocollapse */ NarikNgxToolbarModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxToolbarModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgxToolbarModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxToolbarModule, declarations: [NarikNgxToolBar], imports: [i2.CommonModule, forms.FormsModule, NarikNgxButtonModule, i1.TranslateModule], exports: [NarikNgxToolBar] });
    /** @nocollapse */ NarikNgxToolbarModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxToolbarModule, providers: [], imports: [[i2.CommonModule, forms.FormsModule, NarikNgxButtonModule, i1.TranslateModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxToolbarModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i2.CommonModule, forms.FormsModule, NarikNgxButtonModule, i1.TranslateModule],
                        declarations: [NarikNgxToolBar],
                        exports: [NarikNgxToolBar],
                        providers: [],
                    }]
            }] });

    var NarikNgxTreeviewModule = /** @class */ (function () {
        function NarikNgxTreeviewModule() {
        }
        return NarikNgxTreeviewModule;
    }());
    /** @nocollapse */ NarikNgxTreeviewModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxTreeviewModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgxTreeviewModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxTreeviewModule, declarations: [NarikNgxTreeview], imports: [i2.CommonModule,
            forms.FormsModule,
            NarikNgxToolbarModule,
            i1.TranslateModule], exports: [NarikNgxTreeview] });
    /** @nocollapse */ NarikNgxTreeviewModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxTreeviewModule, providers: [], imports: [[
                i2.CommonModule,
                forms.FormsModule,
                NarikNgxToolbarModule,
                i1.TranslateModule,
            ]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxTreeviewModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [
                            i2.CommonModule,
                            forms.FormsModule,
                            NarikNgxToolbarModule,
                            i1.TranslateModule,
                        ],
                        declarations: [NarikNgxTreeview],
                        exports: [NarikNgxTreeview],
                        providers: [],
                    }]
            }] });

    var NarikNgxCoreModule = /** @class */ (function () {
        function NarikNgxCoreModule() {
        }
        return NarikNgxCoreModule;
    }());
    /** @nocollapse */ NarikNgxCoreModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCoreModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgxCoreModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCoreModule, imports: [i2.CommonModule] });
    /** @nocollapse */ NarikNgxCoreModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCoreModule, providers: [], imports: [[i2.CommonModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgxCoreModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i2.CommonModule],
                        declarations: [],
                        exports: [],
                        providers: [],
                    }]
            }] });

    var NarikUiNgxBootstrapModule = /** @class */ (function () {
        function NarikUiNgxBootstrapModule() {
        }
        return NarikUiNgxBootstrapModule;
    }());
    /** @nocollapse */ NarikUiNgxBootstrapModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikUiNgxBootstrapModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikUiNgxBootstrapModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikUiNgxBootstrapModule, imports: [i1.TranslateModule,
            NarikNgxAutoCompleteModule,
            NarikNgxBusyIndicatorModule,
            NarikNgxButtonModule,
            NarikNgxCheckBoxModule,
            NarikNgxCheckBoxListModule,
            NarikNgxDataTableModule,
            NarikNgxDatePickerModule,
            NarikNgxDialogModule,
            NarikNgxDynamicFormModule,
            NarikNgxInputModule,
            NarikNgxRadioGroupModule,
            NarikNgxSelectModule,
            NarikNgxToolbarModule,
            NarikNgxTreeviewModule,
            NarikNgxCoreModule], exports: [i1.TranslateModule,
            NarikNgxAutoCompleteModule,
            NarikNgxBusyIndicatorModule,
            NarikNgxButtonModule,
            NarikNgxCheckBoxModule,
            NarikNgxCheckBoxListModule,
            NarikNgxDataTableModule,
            NarikNgxDatePickerModule,
            NarikNgxDialogModule,
            NarikNgxDynamicFormModule,
            NarikNgxInputModule,
            NarikNgxRadioGroupModule,
            NarikNgxSelectModule,
            NarikNgxToolbarModule,
            NarikNgxTreeviewModule,
            NarikNgxCoreModule] });
    /** @nocollapse */ NarikUiNgxBootstrapModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikUiNgxBootstrapModule, providers: [], imports: [[
                i1.TranslateModule,
                NarikNgxAutoCompleteModule,
                NarikNgxBusyIndicatorModule,
                NarikNgxButtonModule,
                NarikNgxCheckBoxModule,
                NarikNgxCheckBoxListModule,
                NarikNgxDataTableModule,
                NarikNgxDatePickerModule,
                NarikNgxDialogModule,
                NarikNgxDynamicFormModule,
                NarikNgxInputModule,
                NarikNgxRadioGroupModule,
                NarikNgxSelectModule,
                NarikNgxToolbarModule,
                NarikNgxTreeviewModule,
                NarikNgxCoreModule,
            ], i1.TranslateModule,
            NarikNgxAutoCompleteModule,
            NarikNgxBusyIndicatorModule,
            NarikNgxButtonModule,
            NarikNgxCheckBoxModule,
            NarikNgxCheckBoxListModule,
            NarikNgxDataTableModule,
            NarikNgxDatePickerModule,
            NarikNgxDialogModule,
            NarikNgxDynamicFormModule,
            NarikNgxInputModule,
            NarikNgxRadioGroupModule,
            NarikNgxSelectModule,
            NarikNgxToolbarModule,
            NarikNgxTreeviewModule,
            NarikNgxCoreModule] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikUiNgxBootstrapModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [
                            i1.TranslateModule,
                            NarikNgxAutoCompleteModule,
                            NarikNgxBusyIndicatorModule,
                            NarikNgxButtonModule,
                            NarikNgxCheckBoxModule,
                            NarikNgxCheckBoxListModule,
                            NarikNgxDataTableModule,
                            NarikNgxDatePickerModule,
                            NarikNgxDialogModule,
                            NarikNgxDynamicFormModule,
                            NarikNgxInputModule,
                            NarikNgxRadioGroupModule,
                            NarikNgxSelectModule,
                            NarikNgxToolbarModule,
                            NarikNgxTreeviewModule,
                            NarikNgxCoreModule,
                        ],
                        declarations: [],
                        exports: [
                            i1.TranslateModule,
                            NarikNgxAutoCompleteModule,
                            NarikNgxBusyIndicatorModule,
                            NarikNgxButtonModule,
                            NarikNgxCheckBoxModule,
                            NarikNgxCheckBoxListModule,
                            NarikNgxDataTableModule,
                            NarikNgxDatePickerModule,
                            NarikNgxDialogModule,
                            NarikNgxDynamicFormModule,
                            NarikNgxInputModule,
                            NarikNgxRadioGroupModule,
                            NarikNgxSelectModule,
                            NarikNgxToolbarModule,
                            NarikNgxTreeviewModule,
                            NarikNgxCoreModule,
                        ],
                        providers: [],
                    }]
            }] });

    var NarikUiListForm = /** @class */ (function (_super) {
        __extends(NarikUiListForm, _super);
        function NarikUiListForm(injector) {
            var _this = _super.call(this, injector) || this;
            _this.ds = [];
            _this.hasDataSource = false;
            return _this;
        }
        Object.defineProperty(NarikUiListForm.prototype, "isServerSide", {
            get: function () {
                return this.config && this.config.isServerSideData ? true : false;
            },
            enumerable: false,
            configurable: true
        });
        NarikUiListForm.prototype.ngOnInit = function () {
            _super.prototype.ngOnInit.call(this);
            if (this.fields) {
            }
            if (this.config) {
                if (this.isServerSide) {
                    var that = this;
                }
            }
        };
        NarikUiListForm.prototype.ngAfterViewInit = function () { };
        NarikUiListForm.prototype.useData = function (result) {
            this.dataSource = result.data;
        };
        NarikUiListForm.prototype.refresh = function (remoteDaraParams) {
            if (!this.isServerSide) {
                this.getEntities();
            }
            else {
                // this.grid.refresh();
            }
        };
        return NarikUiListForm;
    }(appCore.NarikListForm));
    /** @nocollapse */ NarikUiListForm.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikUiListForm, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Directive });
    /** @nocollapse */ NarikUiListForm.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.0.4", type: NarikUiListForm, usesInheritance: true, ngImport: i0__namespace });
    __decorate([
        core.NarikInject(i1.TranslateService),
        __metadata("design:type", i1.TranslateService)
    ], NarikUiListForm.prototype, "translateService", void 0);
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikUiListForm, decorators: [{
                type: i0.Directive
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; }, propDecorators: { translateService: [] } });

    var NarikUiEditForm = /** @class */ (function (_super) {
        __extends(NarikUiEditForm, _super);
        function NarikUiEditForm(injector) {
            return _super.call(this, injector) || this;
        }
        return NarikUiEditForm;
    }(appCore.NarikEditForm));

    /*
     * Public API Surface of narik-ui-ngx-bootstrap
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.NarikNgxAutoComplete = NarikNgxAutoComplete;
    exports.NarikNgxAutoCompleteModule = NarikNgxAutoCompleteModule;
    exports.NarikNgxBusyIndicator = NarikNgxBusyIndicator;
    exports.NarikNgxBusyIndicatorModule = NarikNgxBusyIndicatorModule;
    exports.NarikNgxButtonComponent = NarikNgxButtonComponent;
    exports.NarikNgxButtonModule = NarikNgxButtonModule;
    exports.NarikNgxCheckBox = NarikNgxCheckBox;
    exports.NarikNgxCheckBoxList = NarikNgxCheckBoxList;
    exports.NarikNgxCheckBoxListModule = NarikNgxCheckBoxListModule;
    exports.NarikNgxCheckBoxModule = NarikNgxCheckBoxModule;
    exports.NarikNgxCoreModule = NarikNgxCoreModule;
    exports.NarikNgxDataTable = NarikNgxDataTable;
    exports.NarikNgxDataTableModule = NarikNgxDataTableModule;
    exports.NarikNgxDatePicker = NarikNgxDatePicker;
    exports.NarikNgxDatePickerModule = NarikNgxDatePickerModule;
    exports.NarikNgxDialogContainer = NarikNgxDialogContainer;
    exports.NarikNgxDialogModule = NarikNgxDialogModule;
    exports.NarikNgxDynamicForm = NarikNgxDynamicForm;
    exports.NarikNgxDynamicFormModule = NarikNgxDynamicFormModule;
    exports.NarikNgxInput = NarikNgxInput;
    exports.NarikNgxInputDialog = NarikNgxInputDialog;
    exports.NarikNgxInputModule = NarikNgxInputModule;
    exports.NarikNgxMessageDialog = NarikNgxMessageDialog;
    exports.NarikNgxRadioGroup = NarikNgxRadioGroup;
    exports.NarikNgxRadioGroupModule = NarikNgxRadioGroupModule;
    exports.NarikNgxSelect = NarikNgxSelect;
    exports.NarikNgxSelectModule = NarikNgxSelectModule;
    exports.NarikNgxToolBar = NarikNgxToolBar;
    exports.NarikNgxToolbarModule = NarikNgxToolbarModule;
    exports.NarikNgxTreeview = NarikNgxTreeview;
    exports.NarikNgxTreeviewModule = NarikNgxTreeviewModule;
    exports.NarikUiEditForm = NarikUiEditForm;
    exports.NarikUiListForm = NarikUiListForm;
    exports.NarikUiNgxBootstrapModule = NarikUiNgxBootstrapModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=narik-ui-ngx-bootstrap.umd.js.map
